summaryrefslogtreecommitdiffstats
path: root/libraries/libqb
diff options
context:
space:
mode:
author Jan F. Chadima2018-05-23 23:10:25 +0200
committer Willy Sudiarto Raharjo2018-05-26 01:59:25 +0200
commitb653d196ee7ccb6220fce15082dfd7a1ac19efa0 (patch)
tree7eea16866deeec6389a253d485297e924417e5a9 /libraries/libqb
parent828d3c24ab34e3352d8c6f3f4a67743fb0a4ab87 (diff)
downloadslackbuilds-b653d196ee7ccb6220fce15082dfd7a1ac19efa0.tar.gz
libraries/libqb: Added (part of linux cluster).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/libqb')
-rw-r--r--libraries/libqb/README2
-rw-r--r--libraries/libqb/libqb.SlackBuild104
-rw-r--r--libraries/libqb/libqb.info10
-rw-r--r--libraries/libqb/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/libqb/README b/libraries/libqb/README
new file mode 100644
index 0000000000..13d2365d74
--- /dev/null
+++ b/libraries/libqb/README
@@ -0,0 +1,2 @@
+Libqb is a library providing high performance logging,
+tracing, ipc, and poll.
diff --git a/libraries/libqb/libqb.SlackBuild b/libraries/libqb/libqb.SlackBuild
new file mode 100644
index 0000000000..1e80aa846d
--- /dev/null
+++ b/libraries/libqb/libqb.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for libqb
+
+# Copyright 2017 Jan F. Chadima <jfch@jagda.eu>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libqb
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL README.* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libqb/libqb.info b/libraries/libqb/libqb.info
new file mode 100644
index 0000000000..d73f8219e2
--- /dev/null
+++ b/libraries/libqb/libqb.info
@@ -0,0 +1,10 @@
+PRGNAM="libqb"
+VERSION="1.0.2"
+HOMEPAGE="https://github.com/ClusterLabs/libqb"
+DOWNLOAD="https://github.com/ClusterLabs/libqb/releases/download/v1.0.2/libqb-1.0.2.tar.gz"
+MD5SUM="f3f76e694f9fa0f388989e5ed3ed13fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="check"
+MAINTAINER="Jan F. Chadima"
+EMAIL="jfch@jagda.eu"
diff --git a/libraries/libqb/slack-desc b/libraries/libqb/slack-desc
new file mode 100644
index 0000000000..9c3c11df27
--- /dev/null
+++ b/libraries/libqb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libqb: libqb (part of linux cluster)
+libqb:
+libqb: libqb is a library with the primary purpose of providing high
+libqb: performance client server reusable features. It provides high
+libqb: performance logging, tracing, ipc, and poll.
+libqb:
+libqb:
+libqb:
+libqb:
+libqb:
+libqb: